
/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


/*	
	finds the right hand value of the equality
	returns a pointer to first character after equal sign
	or NULL if not successful
*/

#include <stdio.h>
#include <string.h>
#include "pcvista.h"

char *
find(lval, rval)
char *lval, *rval;
{
	int len;
	
	len = strlen(lval);
	if ((strncmp(lval, rval, len) == 0) && (rval[len] == '='))
		return(rval + len + 1);
	return(NULL);	
}

int 
keyword(lval, rval)		/* returns non-zero when 'lval' is found in 'rval' */
char *lval, *rval;
{
	return(!strcmp(lval, rval));
}

